| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
libdar::crit_and Class Reference
API

realises the AND operator More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

Inherited by libdar::crit_or.

## Public Member Functions
| crit_and (const crit_and &ref)
const crit_and & | operator= (const crit_and &ref)
void | add_crit (const criterium &ref)
void | clear ()
void | gobe (crit_and &to_be_voided)
| this call merges to the current call the arguments of another "crit_and", the given argument is cleared of its arguments.
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const
| criterum interface method More...
criterium * | clone () const
| clone construction method More...
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Protected Attributes
std::vector< criterium * > | operand

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)
Static Protected Member Functions inherited from libdar::criterium
static const cat_inode * | get_inode (const cat_nomme *arg)

## Detailed Description

realises the AND operator

Definition at line 492 of file criterium.hpp.

## Member Function Documentation

criterium* libdar::crit_and::clone | ( |  | ) | const
| inline virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 507 of file criterium.hpp.

References libdar::on_pool::get_pool().

virtual bool libdar::crit_and::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const
| virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp